import Profile from "../schema";
import MetadataFiles from "../metadataFiles";
import { Connection } from "jsforce";
import { MetadataInfo } from "jsforce";
export default class ProfileRetriever {
    private conn;
    private debugFlag?;
    static supportedMetadataTypes: string[];
    supportedPermissions: string[];
    metadataFiles: MetadataFiles;
    constructor(conn: Connection, debugFlag?: boolean);
    loadSupportedPermissions(): Promise<void>;
    loadProfiles(profileNames: string[], conn: any): Promise<MetadataInfo[]>;
    handlePermissions(profileObj: Profile): Promise<Profile>;
    private completeUserPermissions;
    private hasPermission;
    private completeObjects;
    private static buildObjPermArray;
    private static filterObjects;
    private enablePermission;
    private handleQueryAllFilesPermission;
    private handleViewAllDataPermission;
    private handleInstallPackagingPermission;
    getUnsupportedLicencePermissions(licence: string): any;
}
